Bug 993117 - java.lang.ClassCastException when updating direct LUN disk.
java.lang.ClassCastException when updating direct LUN disk.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
high Severity high
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Leonid Natapov
storage
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-05 11:48 EDT by Leonid Natapov
Modified: 2016-02-10 13:58 EST (History)
10 users (show)

See Also:
Fixed In Version: is9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:18:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine log (1.13 MB, text/plain)
2013-08-05 11:50 EDT, Leonid Natapov
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17691 None None None Never

  None (edit)
Description Leonid Natapov 2013-08-05 11:48:59 EDT
Description of problem:
When engine tries to update direct LUN disk after editing it getting the following error in the UI
"Error while executing action Edit VM Disk properties: Internal Engine Error"

and java.lang.ClassCastException in the engine.log

Version-Release number of selected component (if applicable):
is8

How reproducible:
100%

Steps to Reproduce:
1.Create VM with direct LUN disk.
2.Edit direct LUN disk (for example choose "Is shareable")
3.Click "OK"

Actual results:
Getting Internal engine error in UI and exception in engine.log

Expected results:
disk successfully updated

Additional info:
engine.log file attached.
Comment 1 Leonid Natapov 2013-08-05 11:50:58 EDT
Created attachment 782908 [details]
engine log
Comment 2 Leonid Natapov 2013-08-05 11:51:39 EDT
reproduced on Daniel Erez setup as well.
Comment 5 Leonid Natapov 2013-08-25 10:49:43 EDT
is11. fixed.
Comment 6 Itamar Heim 2014-01-21 17:18:47 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:25:05 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.